/* CSS Reset */
*{
    margin: 0;
    padding: 0;
}

html{
    scroll-behavior: smooth;
}

/* CSS Variables */
:root{
    --navbar-height: 59px;
}

/* Navigation Bar */
#navbar{
    display: flex;
    align-items: center;
    position: sticky;
    top: 0px;
}

#navbar::before{
    content: "";
    background-color: black;
    position: absolute;
    top:0px;
    left:0px;
    height: 100%;
    width:100%;
    z-index: -1;
    opacity: 0.5;
}

/* Navigation Bar: Logo and Image */
#logo{
    margin: 10px 34px;
}

#logo img{
    height: 55px;
    width: 55px;
    border: 1px solid white;
    border-radius: 60px;
    margin: 3px 6px;
}


/* Navigation Bar: List Styling */

#navbar ul{
    display: flex;
    font-family: 'Baloo Bhai', cursive;
}

#navbar ul li{ 
    list-style: none;
    font-size: 1.3rem;
}

#navbar ul li a{
    color: white;
    display: block;
    padding: 3px 22px;
    border-radius: 20px;
    text-decoration: none;
}

#navbar ul li a:hover{
    color: black;
    background-color: white;
}

/* Home Section */
#home{
    display: flex;
    flex-direction: column;
    padding:3px 200px;
    height: 550px;
    justify-content: center;
    align-items: center;
}

#home::before{ 
    content: "";
    position: absolute;
    background: url('image1.jpg') no-repeat center center/cover;
    height: 642px;
    top:0px;
    left:0px;
    width: 100%;
    z-index: -1;
    opacity:0.8;
}

#home h1{
    color:white;
    text-align: center;
    font-family: 'Roboto Slab', serif;
}

#home p{
    color:white;
    text-align: center;
    font-size: 1.5rem;
    font-family: 'Lobster', cursive;
}
/* Services Section */
#services{
    margin: 34px;
    display: flex;
}

/*   */

#services .box{ 
    border: 2px solid brown;
    padding: 34px;
    margin: 2px 55px;
    border-radius: 28px;
    background: #f2f2f2;
    margin-bottom: 20px;
}

#services .box img{ 
   height: 160px;
   width: 180px;
   border-radius: 25px;
   margin: auto;
   display: block;
}

#services .box p{
    font-family: 'Lobster', cursive;
    font-size: 1.1rem;

}

/* Client Section  */
#client-section{
    position: relative;
    height: 344px;
}
#client-section::before{
    content: "";
    position: absolute;
    background: url(client.jpg) no-repeat center center/cover;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.5;
}

#clients{
    display: flex;
    justify-content: center;
    align-items: center;
}

.client-item{
    padding: 34px;
}
#clients img{
    height: 124px;
    width: 124px;
    /* border: 1px solid brown; */
    border-radius: 40px;
}

/* Contact Section  */
#contact{
    position: relative;
}

#contact::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.8;
    background: url(contact\ me.jpg) no-repeat center center/cover;
}

#contact-box{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 34px;
}

#contact-box input,
#contact-box textarea{
    width: 100%;
    padding: 0.5rem;
    /* font-family: 'Lobster', cursive; */
    font-family: 'Redressed', cursive;
    /* font-family: 'Roboto Slab', serif; */
    font-family: 'Bree Serif', serif;
}

#contact-box form{
    width: 40%;
}

#contact-box label{
    font-size: 1.3rem;
    font-family: 'Bree Serif', serif;
}

/* Footer Section  */
footer{
    background: black;
    color: white;
    padding: 9px 20px;
}

/* Utility Classes */
.h-primary{
    font-family: 'Roboto Slab', serif;
    font-size: 3.8rem;
    padding: 12px;
}

.my-heading{
    color: rgb(146, 34, 34);
    font-family: 'Roboto Slab', serif;
    font-size: 3.8rem;
    padding: 12px;
}

.h-secondary{
    font-family: 'Roboto Slab', serif;
    font-size: 2.2rem;
    padding: 12px;
    color: rgb(146, 34, 34);
}

.btn{
    padding: 6px 20px;
    border: 2px solid white;
    background-color: rgb(161, 65, 65);
    color: white;
    margin: 17px;
    font-size: 1.5rem;
    border-radius: 15px;
    cursor:pointer;
}

.center{
    text-align: center;
}
